
Name:           onboard
Version:        0.95.1
Release:        alt1

Summary:        Simple on-screen Keyboard
License:        GPLv2+
Group:          Graphical desktop/GNOME 
URL:            https://launchpad.net/onboard/

Packager:       Andrey Cherepanov <cas@altlinux.org>

Source0:        http://launchpad.net/%name/0.95/%version/+download/%name-%version.tar.gz
# This is required to not initialize objects of the required libraries. Otherwise
# the setup needs a running X session
Patch0:         onboard-norequires.patch
# To build the .desktop files. This can be upstreamed:
Patch1:         onboard-setup.patch
BuildArch:      noarch

BuildRequires(pre): etersoft-build-utils libGConf-devel rpm-build-gnome python-devel
BuildRequires:  glibc-devel-static intltool libgtk+2-devel 
BuildRequires:  python-module-pygtk-devel python-module-vte
BuildRequires:  python-module-distutils-extra >= 2.12
BuildRequires:  python-module-virtkey
BuildRequires:  desktop-file-utils

Requires:  GConf

%description
An on-screen keyboard useful on tablet PCs or for mobility impaired
users.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%python_build

%install
%python_install
#fix wrong permissons
chmod a+x %buildroot%_datadir/onboard/layoutstrings.py
for file in %buildroot%python_sitelibdir/Onboard/{settings,IconPalette,KeyboardSVG,utils}.py; do
   chmod a+x $file
done

desktop-file-install --dir %buildroot%_desktopdir       \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    %buildroot%_desktopdir/%name.desktop
desktop-file-install --dir %buildroot%_desktopdir       \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    %buildroot%_desktopdir/%name-settings.desktop

mkdir -p %buildroot%_datadir/locale
cp -a build/mo/* %buildroot%_datadir/locale
%find_lang %name

# Move schemas to the correct location
mkdir %buildroot/%_sysconfdir
mv %buildroot/%_datadir/gconf/ %buildroot/%_sysconfdir/

%post
%gconf2_install %name

%preun
%gconf2_uninstall %name

%files -f %name.lang
%doc AUTHORS COPYING NEWS README docs/
%_bindir/%name
%_bindir/%name-settings
%_datadir/%name/
%_desktopdir/%name.desktop
%_desktopdir/%name-settings.desktop
%_sysconfdir/gconf/schemas/onboard.schemas
%_datadir/icons/hicolor/scalable/apps/onboard.svg
%_datadir/icons/hicolor/scalable/apps/onboard2.svg
%python_sitelibdir/Onboard/
%python_sitelibdir/%{name}*.egg-info

%changelog
* Sat Oct 01 2011 Andrey Cherepanov <cas@altlinux.org> 0.95.1-alt1
- Initial build in Sisyphus (closes: #26220)
